Scriptname _SexistGuardsMCMScript extends ski_configbase  

; State
float property playerCommentsMinimunTime = 1.0 AUTO
float property playerCommentsMaximunTime = 3.0 AUTO
float property playerGameTimer = 6.0 AUTO

float property npcCommentsMinimumTime = 5.0 AUTO
float property npcCommentsMaximumTime = 3.0 AUTO

float property playerStory = 50.0 AUTO
float property playerNarrator = 50.0 AUTO
float property playerMasochist = 50.0 AUTO
float property playerOrgasmic = 50.0 AUTO
float property playerDefiant = 50.0 AUTO
float property playerDominant = 50.0 AUTO
float property playerSubmissive = 50.0 AUTO
float property playerTough = 50.0 AUTO
float property playerTimid = 50.0 AUTO
float property playerRapist = 50.0 AUTO
float property playerDraugrLover = 50.0 AUTO
float property playerSpiderLover = 50.0 AUTO
float property playerTrollLover = 50.0 AUTO

bool property talkOnTimer = true AUTO;
bool property talkOnLocChange = true AUTO;
bool property talkOnCellChange = true AUTO;
bool property talkOnGameLoad = true AUTO;

bool property armourIsSkimpy = true AUTO;
bool property playerIsMale = true AUTO;
bool property sexistGuardDialogue = true AUTO;
bool property sexistBanditDialogue = true AUTO;
bool property sexistBeggerDialogue = true AUTO;
bool property sexistShopKeeperDialogue = true AUTO;
bool property sexistNPCDialogue = true AUTO;
bool property sexistNPCWearingDevicesDialogue = true AUTO;
bool property sexistClothedNPCWearingDevicesDialogue = true AUTO;
bool property sexistUnhelpfulNPCDialogue = true AUTO;
bool property sexistFollowerDialogue = true AUTO;
bool property sexistKnockOverDialogue = true AUTO;
bool property sexistBumpDialogue = true AUTO;
bool property sexistPlayerDialogue = true AUTO;
bool property sexistPlayerDialogue4thWall = true AUTO;
bool property sexistPlayerDialogueRape = true AUTO;

bool property xMarkerFollow = true AUTO;

bool property sexistDDFollowerDialogue = true AUTO;
bool property sexistDDHelpfulFollowerDialogue = true AUTO;
bool property sexistDDUnHelpfulFollowerDialogue = true AUTO;
bool property triggerGuardQuest = true AUTO;

int manualStartKeyOID_K
int manualStartKey = 37

; OID
int playerCommentsMinimunTimeOID_S
int playerCommentsMaximunTimeOID_S
int playerGameTimerOID_S

int npcCommentsMinimumTimeOID_S
int npcCommentsMaximumTimeOID_S

int playerStoryOID_S
int playerNarratorOID_S
int playerMasochistOID_S
int playerOrgasmicOID_S
int playerDefiantOID_S
int playerDominantOID_S
int playerSubmissiveOID_S
int playerToughOID_S
int playerTimidOID_S
int playerRapistOID_S
int playerDraugrLoverOID_S
int playerSpiderLoverOID_S
int playerTrollLoverOID_S

int armourIsSkimpyOID_B
int playerIsMaleOID_B

int talkOnTimerOID_B
int talkOnLocChangeOID_B
int talkOnCellChangeOID_B
int talkOnGameLoadOID_B

int sexistGuardDialogueOID_B
int sexistBanditDialogueOID_B
int sexistBeggerDialogueOID_B
int sexistShopKeeperDialogueOID_B
int sexistNPCDialogueOID_B
int sexistNPCWearingDevicesDialogueOID_B
int sexistClothedNPCWearingDevicesDialogueOID_B
int sexistUnhelpfulNPCDialogueOID_B
int sexistFollowerDialogueOID_B
int sexistKnockOverDialogueOID_B
int sexistBumpDialogueOID_B
int sexistPlayerDialogueOID_B
int sexistPlayerDialogue4thWallOID_B
int sexistPlayerDialogueRapeOID_B
int xMarkerFollowOID_B

int sexistDDFollowerDialogueOID_B
int sexistDDHelpfulFollowerDialogueOID_B
int sexistDDUnHelpfulFollowerDialogueOID_B
int triggerGuardQuestOID_B

int resetOID_T

event OnInit()

	parent.OnInit()
	RegisterForKey(manualStartKey)

endEvent

Event OnKeyDown(Int KeyCode) 

	If KeyCode == manualStartKey

		If _SexistGuardsPlayerComments.IsRunning()

			_PlayerDialogueScene.start()

		endif

		;start dialogue

	EndIf

EndEvent

event OnOptionKeyMapChange(int option, int keycode, string conflictControl, string conflictName)

	if (option == manualStartKeyOID_K)

		manualStartKey = keycode
		SetKeyMapOptionValue(manualStartKeyOID_K, manualStartKey)
		UnregisterForAllKeys()
		RegisterForKey(manualStartKey)

	endif

endEvent

event OnPageReset(string page)

    SetCursorFillMode(TOP_TO_BOTTOM)
    SetCursorPosition(0) ; Can be removed because it starts at 0 anyway

	AddHeaderOption("NPC Dialogue Options")

	npcCommentsMinimumTimeOID_S = AddSliderOption("Chance to talk", npcCommentsMinimumTime, " {0} %")

	sexistGuardDialogueOID_B = AddToggleOption("Guard Dialogue", sexistGuardDialogue)
	sexistBanditDialogueOID_B = AddToggleOption("Bandit Dialogue", sexistBanditDialogue)
	sexistBeggerDialogueOID_B = AddToggleOption("Begger & Drunk Dialogue", sexistBeggerDialogue)
	sexistShopKeeperDialogueOID_B = AddToggleOption("Shopkeeper Dialogue",sexistShopKeeperDialogue)
	sexistNPCDialogueOID_B = AddToggleOption("NPC Dialogue", sexistNPCDialogue)
	;sexistNPCWearingDevicesDialogueOID_B = AddToggleOption("Slave NPC DD Dialogue", sexistNPCWearingDevicesDialogue)
	;sexistClothedNPCWearingDevicesDialogueOID_B = AddToggleOption("Non Slave NPC DD Dialogue", sexistClothedNPCWearingDevicesDialogue)
	sexistFollowerDialogueOID_B = AddToggleOption("Follower Dialogue", sexistFollowerDialogue)
	sexistKnockOverDialogueOID_B = AddToggleOption("Knock Over Dialogue", sexistKnockOverDialogue)
	sexistBumpDialogueOID_B = AddToggleOption("Bump Dialogue", sexistBumpDialogue)

	AddHeaderOption("DD Dialogue Options")

	sexistUnhelpfulNPCDialogueOID_B = AddToggleOption("Unhelpful NPC Dialogue", sexistUnhelpfulNPCDialogue)
	sexistDDFollowerDialogueOID_B = AddToggleOption("DD Follower Dialogue", sexistDDFollowerDialogue)
	sexistDDHelpfulFollowerDialogueOID_B = AddToggleOption("DD Helpful Follower Dialogue", sexistDDHelpfulFollowerDialogue)
	sexistDDUnHelpfulFollowerDialogueOID_B = AddToggleOption("DD UnHelpful Follower Dialogue", sexistDDUnHelpfulFollowerDialogue)
	triggerGuardQuestOID_B = AddToggleOption("Trigger Guard Quest", triggerGuardQuest)

	SetCursorPosition(1) ;move cursor to top right

	AddHeaderOption("Player Dialogue Options")

	playerGameTimerOID_S = AddSliderOption("Global Comment Timer", playerGameTimer, " {2} game hours")

	talkOnTimerOID_B = AddToggleOption("Talk via Timer", talkOnTimer)
	playerCommentsMinimunTimeOID_S = AddSliderOption("Min time in SECONDS", playerCommentsMinimunTime, " {0} seconds")
	playerCommentsMaximunTimeOID_S = AddSliderOption("Max time in SECONDS", playerCommentsMaximunTime, "{0} seconds")

	talkOnLocChangeOID_B = AddToggleOption("Talk on Loc Change", talkOnLocChange)
	talkOnCellChangeOID_B = AddToggleOption("Talk on Cell Change", talkOnCellChange)
	talkOnGameLoadOID_B = AddToggleOption("Talk on Game Load", talkOnGameLoad)
	sexistPlayerDialogueOID_B = AddToggleOption("Player Dialogue", sexistPlayerDialogue)
	sexistPlayerDialogue4thWallOID_B = AddToggleOption("Player Dialogue 4th Wall", sexistPlayerDialogue4thWall)

	playerIsMaleOID_B = AddToggleOption("You Are Male",playerIsMale)
	sexistPlayerDialogueRapeOID_B = AddToggleOption("Player Rape Dialogue", sexistPlayerDialogueRape)
	armourIsSkimpyOID_B = AddToggleOption("Skimpy Armour", armourIsSkimpy)

	manualStartKeyOID_K = AddKeyMapOption("Speak Key", manualStartKey)

	AddHeaderOption("Player Traits")

	playerNarratorOID_S = AddSliderOption("Narrator",playerNarrator,"{0}%")
	playerStoryOID_S = AddSliderOption("Story",playerStory,"{0}%")
	playerMasochistOID_S = AddSliderOption("Masochist",playerMasochist,"{0}%")
	playerOrgasmicOID_S = AddSliderOption("Nympho",playerOrgasmic,"{0}%")
	playerDefiantOID_S = AddSliderOption("Defiance",playerDefiant,"{0}%")
	playerDominantOID_S = AddSliderOption("Dominance",playerDominant,"{0}%")
	playerSubmissiveOID_S = AddSliderOption("Submission",playerSubmissive,"{0}%")
	;playerToughOID_S = AddSliderOption("Toughness",playerTough,"{0}%")
	playerTimidOID_S = AddSliderOption("Timidness",playerTimid,"{0}%")
	;playerRapistOID_S = AddSliderOption("Rapist",playerRapist,"{0}%")

	;AddHeaderOption("Player Traits - Specific")
	;playerDraugrLoverOID_S = AddSliderOption("Draugr Lover",playerDraugrLover,"{0}%")
	;playerSpiderLoverOID_S = AddSliderOption("Spider Lover",playerSpiderLover,"{0}%")
	;playerTrollLoverOID_S = AddSliderOption("Troll Lover",playerTrollLover,"{0}%")

	AddHeaderOption("Maintenance Options")

	resetOID_T = AddTextOption("Reset Quests", "Reset")
	;xMarkerFollowOID_B = AddToggleOption("xMarker Follows", xMarkerFollow)
endEvent

event OnOptionSliderOpen(int option)
playerGameTimer
	if (option == playerGameTimerOID_S)

		SetSliderDialogStartValue(playerGameTimer)
		SetSliderDialogDefaultValue(6)
		SetSliderDialogRange(0.25, 24)
		SetSliderDialogInterval(0.25)

	elseif (option == playerCommentsMinimunTimeOID_S)

		SetSliderDialogStartValue(playerCommentsMinimunTime)
		SetSliderDialogDefaultValue(600)
		SetSliderDialogRange(0, 7200)
		SetSliderDialogInterval(15)

	elseif (option == playerCommentsMaximunTimeOID_S)

		SetSliderDialogStartValue(playerCommentsMaximunTime)
		SetSliderDialogDefaultValue(1200)
		SetSliderDialogRange(0, 7200)
		SetSliderDialogInterval(15)

	elseif (option == npcCommentsMinimumTimeOID_S)

		SetSliderDialogStartValue(npcCommentsMinimumTime)
		SetSliderDialogDefaultValue(5)
		SetSliderDialogRange(0, 100)
		SetSliderDialogInterval(1)

	elseif (option == playerNarratorOID_S)

		SetSliderDialogStartValue(playerNarrator)
		SetSliderDialogDefaultValue(50)
		SetSliderDialogRange(0, 100)
		SetSliderDialogInterval(1)

	elseif (option == playerStoryOID_S)

		SetSliderDialogStartValue(playerStory)
		SetSliderDialogDefaultValue(50)
		SetSliderDialogRange(0, 100)
		SetSliderDialogInterval(1)

	elseif (option == playerMasochistOID_S)

		SetSliderDialogStartValue(playerMasochist)
		SetSliderDialogDefaultValue(50)
		SetSliderDialogRange(0, 100)
		SetSliderDialogInterval(1)

	elseif (option == playerOrgasmicOID_S)

		SetSliderDialogStartValue(playerOrgasmic)
		SetSliderDialogDefaultValue(50)
		SetSliderDialogRange(0, 100)
		SetSliderDialogInterval(1)

	elseif (option == playerDefiantOID_S)

		SetSliderDialogStartValue(playerDefiant)
		SetSliderDialogDefaultValue(50)
		SetSliderDialogRange(0, 100)
		SetSliderDialogInterval(1)

	elseif (option == playerDominantOID_S)

		SetSliderDialogStartValue(playerDominant)
		SetSliderDialogDefaultValue(50)
		SetSliderDialogRange(0, 100)
		SetSliderDialogInterval(1)

	elseif (option == playerSubmissiveOID_S)

		SetSliderDialogStartValue(playerSubmissive)
		SetSliderDialogDefaultValue(50)
		SetSliderDialogRange(0, 100)
		SetSliderDialogInterval(1)

	elseif (option == playerToughOID_S)

		SetSliderDialogStartValue(playerTough)
		SetSliderDialogDefaultValue(50)
		SetSliderDialogRange(0, 100)
		SetSliderDialogInterval(1)

	elseif (option == playerTimidOID_S)

		SetSliderDialogStartValue(playerTimid)
		SetSliderDialogDefaultValue(50)
		SetSliderDialogRange(0, 100)
		SetSliderDialogInterval(1)

	elseif (option == playerRapistOID_S)

		SetSliderDialogStartValue(playerRapist)
		SetSliderDialogDefaultValue(50)
		SetSliderDialogRange(0, 100)
		SetSliderDialogInterval(1)


	elseif (option == playerDraugrLoverOID_S)

		SetSliderDialogStartValue(playerDraugrLover)
		SetSliderDialogDefaultValue(50)
		SetSliderDialogRange(0, 100)
		SetSliderDialogInterval(1)

	elseif (option == playerSpiderLoverOID_S)

		SetSliderDialogStartValue(playerSpiderLover)
		SetSliderDialogDefaultValue(50)
		SetSliderDialogRange(0, 100)
		SetSliderDialogInterval(1)

	elseif (option == playerTrollLoverOID_S)

		SetSliderDialogStartValue(playerTrollLover)
		SetSliderDialogDefaultValue(50)
		SetSliderDialogRange(0, 100)
		SetSliderDialogInterval(1)

	endif

endEvent

event OnOptionSliderAccept(int option, float value)

	if (option == playerGameTimerOID_S)

			playerGameTimer = value
			SetSliderOptionValue(playerGameTimerOID_S, value, "{2} game hours")

			if _SexistGuardsPlayerComments4thWall.IsRunning()
				_SexistGuardsPlayerComments4thWall.Stop()
				_SexistGuardsPlayerComments4thWall.Start()
			endif 

			if _SexistGuardsPlayerComments.IsRunning()
				_SexistGuardsPlayerComments.Stop()
				_SexistGuardsPlayerComments.Start()
			endif 

	elseif (option == playerCommentsMinimunTimeOID_S)

			playerCommentsMinimunTime = value
			PCMin.SetValue(value)
			SetSliderOptionValue(playerCommentsMinimunTimeOID_S, value, "{2} seconds")

			if _SexistGuardsPlayerComments4thWall.IsRunning()
				_SexistGuardsPlayerComments4thWall.Stop()
				_SexistGuardsPlayerComments4thWall.Start()
			endif

			if _SexistGuardsPlayerComments.IsRunning()
				_SexistGuardsPlayerComments.Stop()
				_SexistGuardsPlayerComments.Start()
			endif 

	elseif (option == playerCommentsMaximunTimeOID_S)

			playerCommentsMaximunTime = value
			PCMax.SetValue(value)
			SetSliderOptionValue(playerCommentsMaximunTimeOID_S, value, "{2} seconds")

			if _SexistGuardsPlayerComments4thWall.IsRunning()
				_SexistGuardsPlayerComments4thWall.Stop()
				_SexistGuardsPlayerComments4thWall.Start()
			endif 

			if _SexistGuardsPlayerComments.IsRunning()
				_SexistGuardsPlayerComments.Stop()
				_SexistGuardsPlayerComments.Start()
			endif 

	elseif (option == npcCommentsMinimumTimeOID_S)

			npcCommentsMinimumTime = value
			NPCMin.SetValue(value)
			SetSliderOptionValue(npcCommentsMinimumTimeOID_S, value, "{0} %") 

	elseif (option == playerNarratorOID_S)

		playerNarrator= value
		_SGPlayerNarrator.SetValue(value)
		SetSliderOptionValue(playerNarratorOID_S, value, "{0}%")

	elseif (option == playerStoryOID_S)

		playerStory= value
		_SGPlayerStory.SetValue(value)
		SetSliderOptionValue(playerStoryOID_S, value, "{0}%")

	elseif (option == playerMasochistOID_S)

		playerMasochist = value
		_SGPlayerMasochist.SetValue(value)	
		SetSliderOptionValue(playerMasochistOID_S, value, "{0}%")	

	elseif (option == playerOrgasmicOID_S)

		playerOrgasmic = value
		_SGPlayerOrgasmic.SetValue(value)	
		SetSliderOptionValue(playerOrgasmicOID_S, value, "{0}%")	

	elseif (option == playerDefiantOID_S)

		playerDefiant = value
		_SGPlayerDefiant.SetValue(value)	
		SetSliderOptionValue(playerDefiantOID_S, value, "{0}%")

	elseif (option == playerDominantOID_S)

		playerDominant = value
		_SGPlayerDominant.SetValue(value)	
		SetSliderOptionValue(playerDominantOID_S, value, "{0}%")

	elseif (option == playerSubmissiveOID_S)

		playerSubmissive = value
		_SGPlayerSubmissive.SetValue(value)	
		SetSliderOptionValue(playerSubmissiveOID_S, value, "{0}%")

	elseif (option == playerToughOID_S)

		playerTough = value
		_SGPlayerTough.SetValue(value)	
		SetSliderOptionValue(playerToughOID_S, value, "{0}%")

	elseif (option == playerTimidOID_S)

		playerTimid = value
		_SGPlayerTimid.SetValue(value)	
		SetSliderOptionValue(playerTimidOID_S, value, "{0}%")

	elseif (option == playerRapistOID_S)

		playerRapist = value
		_SGPlayerRapist.SetValue(value)	
		SetSliderOptionValue(playerRapistOID_S, value, "{0}%")

	elseif (option == playerDraugrLoverOID_S)

		playerDraugrLover = value
		_SGPlayerDraugrLover.SetValue(value)	
		SetSliderOptionValue(playerDraugrLoverOID_S, value, "{0}%")	

	elseif (option == playerSpiderLoverOID_S)

		playerSpiderLover = value
		_SGPlayerSpiderLover.SetValue(value)	
		SetSliderOptionValue(playerSpiderLoverOID_S, value, "{0}%")	

	elseif (option == playerTrollLoverOID_S)

		playerTrollLover = value
		_SGPlayerTrollLover.SetValue(value)	
		SetSliderOptionValue(playerTrollLoverOID_S, value, "{0}%")	

	endif

endEvent

event OnOptionSelect(int option)

	if (option ==  sexistGuardDialogueOID_B)

		 sexistGuardDialogue = !sexistGuardDialogue
		SetToggleOptionValue( sexistGuardDialogueOID_B, sexistGuardDialogue)

			if (sexistGuardDialogue)
				_sexistGuardDialogueQuest.Start()
			else
				_sexistGuardDialogueQuest.Stop()
			endif
	elseif (option == playerIsMaleOID_B)

		playerIsMale = !playerIsMale
		SetToggleOptionValue(playerIsMaleOID_B,playerIsMale)
		IsPlayerMale.setValue(playerIsMale AS INT)

	elseif (option ==  xMarkerFollowOID_B)
	
		 xMarkerFollow = !xMarkerFollow
		SetToggleOptionValue( xMarkerFollowOID_B, xMarkerFollow)

	elseif (option ==  armourIsSkimpyOID_B)
	
		 armourIsSkimpy = !armourIsSkimpy
		SetToggleOptionValue( armourIsSkimpyOID_B, armourIsSkimpy)
		_SkimpyArmour.setValue(armourIsSkimpy AS INT)

	elseif (option ==  sexistBanditDialogueOID_B)

		sexistBanditDialogue = !sexistBanditDialogue
		SetToggleOptionValue( sexistBanditDialogueOID_B, sexistBanditDialogue)

			if (sexistBanditDialogue)
				_sexistBanditDialogueQuest.Start()
			else
				_sexistBanditDialogueQuest.Stop()
			endif

	elseif (option ==  sexistBeggerDialogueOID_B)

		sexistBeggerDialogue = !sexistBeggerDialogue
		SetToggleOptionValue( sexistBeggerDialogueOID_B, sexistBeggerDialogue)

			if (sexistBeggerDialogue)
				_sexistBeggerDialogueQuest.Start()
			else
				_sexistBeggerDialogueQuest.Stop()
			endif

	elseif (option ==  sexistShopKeeperDialogueOID_B)

		sexistShopKeeperDialogue = !sexistShopKeeperDialogue
		SetToggleOptionValue( sexistShopKeeperDialogueOID_B, sexistShopKeeperDialogue)

			if (sexistShopKeeperDialogue)
				_sexistShopKeeperDialogueQuest.Start()
			else
				_sexistShopKeeperDialogueQuest.Stop()
			endif

	elseif (option ==  sexistNPCDialogueOID_B)

		sexistNPCDialogue = !sexistNPCDialogue
		SetToggleOptionValue( sexistNPCDialogueOID_B, sexistNPCDialogue)

			if (sexistNPCDialogue)
				_sexistNPCDialogueQuest.Start()
			else
				_sexistNPCDialogueQuest.Stop()
			endif

	elseif (option == sexistNPCWearingDevicesDialogueOID_B)

		sexistNPCWearingDevicesDialogue = !sexistNPCWearingDevicesDialogue
		SetToggleOptionValue(sexistNPCWearingDevicesDialogueOID_B, sexistNPCWearingDevicesDialogue)

			if (sexistNPCWearingDevicesDialogue)
				_NPCWearingDeviceQuest.Start()
			else
				_NPCWearingDeviceQuest.Stop()
			endif

	elseif (option == sexistClothedNPCWearingDevicesDialogueOID_B)

		sexistClothedNPCWearingDevicesDialogue = !sexistClothedNPCWearingDevicesDialogue
		SetToggleOptionValue(sexistClothedNPCWearingDevicesDialogueOID_B, sexistClothedNPCWearingDevicesDialogue)

			if (sexistClothedNPCWearingDevicesDialogue)
				_ClothedNPCWearingDeviceQuest .Start()
			else
				_ClothedNPCWearingDeviceQuest .Stop()
			endif

	elseif (option ==  sexistUnhelpfulNPCDialogueOID_B)

		sexistUnhelpfulNPCDialogue = !sexistUnhelpfulNPCDialogue
		SetToggleOptionValue( sexistUnhelpfulNPCDialogueOID_B, sexistUnhelpfulNPCDialogue)

			if (sexistUnhelpfulNPCDialogue)
				UnhelpfulNPCQuest.Start()
			else
				UnhelpfulNPCQuest.Stop()
			endif

	elseif (option ==  sexistFollowerDialogueOID_B)

		sexistFollowerDialogue = !sexistFollowerDialogue
		SetToggleOptionValue( sexistFollowerDialogueOID_B, sexistFollowerDialogue)

			if (sexistFollowerDialogue)
				_sexistFollowerDialogueQuest.Start()
			else
				_sexistFollowerDialogueQuest.Stop()
			endif

	elseif (option ==  sexistKnockOverDialogueOID_B)

		sexistKnockOverDialogue =  !sexistKnockOverDialogue
		SetToggleOptionValue( sexistKnockOverDialogueOID_B, sexistKnockOverDialogue)

			if (sexistKnockOverDialogue)
				_sexistKnockOverDialogueQuest.Start()
			else
				_sexistKnockOverDialogueQuest.Stop()
			endif

	elseif (option ==  sexistBumpDialogueOID_B)

		sexistBumpDialogue =  !sexistBumpDialogue
		SetToggleOptionValue( sexistBumpDialogueOID_B, sexistBumpDialogue)

			if (sexistBumpDialogue)
				_sexistBumpDialogueQuest.Start()
			else
				_sexistBumpDialogueQuest.Stop()
			endif

	elseif (option ==  talkOnTimerOID_B)

		talkOnTimer =  !talkOnTimer
		SetToggleOptionValue( talkOnTimerOID_B, talkOnTimer)

	elseif (option ==  talkOnLocChangeOID_B)

		talkOnLocChange =  !talkOnLocChange
		SetToggleOptionValue( talkOnLocChangeOID_B, talkOnLocChange)

	elseif (option ==  talkOnCellChangeOID_B)

		talkOnCellChange =  !talkOnCellChange
		SetToggleOptionValue( talkOnCellChangeOID_B, talkOnCellChange)

	elseif (option ==  talkOnGameLoadOID_B)

		talkOnGameLoad =  !talkOnGameLoad
		SetToggleOptionValue( talkOnGameLoadOID_B, talkOnGameLoad)

	elseif (option ==  sexistPlayerDialogueOID_B)

		sexistPlayerDialogue =  !sexistPlayerDialogue
		SetToggleOptionValue( sexistPlayerDialogueOID_B, sexistPlayerDialogue)

			if (sexistPlayerDialogue)
				_SexistGuardsPlayerComments.Start()
			else
				_SexistGuardsPlayerComments.Stop()
			endif

	elseif (option ==  sexistPlayerDialogue4thWallOID_B)

		sexistPlayerDialogue4thWall =  !sexistPlayerDialogue4thWall
		SetToggleOptionValue( sexistPlayerDialogue4thWallOID_B, sexistPlayerDialogue4thWall)

			if (sexistPlayerDialogue4thWall)
				_SexistGuardsPlayerComments4thWall.Start()
			else
				_SexistGuardsPlayerComments4thWall.Stop()
			endif

	elseif (option ==  sexistPlayerDialogueRapeOID_B)

		sexistPlayerDialogueRape =  !sexistPlayerDialogueRape
		SetToggleOptionValue( sexistPlayerDialogueRapeOID_B, sexistPlayerDialogueRape)

			if (sexistPlayerDialogueRape)
				_SexistGuardsPlayerRape.Start()
			else
				_SexistGuardsPlayerRape.Stop()
			endif

	elseif (option ==  sexistDDFollowerDialogueOID_B)

		sexistDDFollowerDialogue = !sexistDDFollowerDialogue
		SetToggleOptionValue( sexistDDFollowerDialogueOID_B, sexistDDFollowerDialogue)

			if (sexistDDFollowerDialogue)
				_sexistDDFollowerDialogueQuest.Start()
			else
				_sexistDDFollowerDialogueQuest.Stop()
			endif

	elseif (option ==  sexistDDHelpfulFollowerDialogueOID_B)

		sexistDDHelpfulFollowerDialogue = !sexistDDHelpfulFollowerDialogue
		SetToggleOptionValue( sexistDDHelpfulFollowerDialogueOID_B, sexistDDHelpfulFollowerDialogue)

			if (sexistDDHelpfulFollowerDialogue)
				_sexistDDHelpfulFollowerDialogueQuest.Start()
			else
				_sexistDDHelpfulFollowerDialogueQuest.Stop()
			endif

	elseif (option ==  sexistDDUnHelpfulFollowerDialogueOID_B)

		sexistDDUnHelpfulFollowerDialogue = !sexistDDUnHelpfulFollowerDialogue
		SetToggleOptionValue( sexistDDUnHelpfulFollowerDialogueOID_B, sexistDDUnHelpfulFollowerDialogue)

			if (sexistDDUnHelpfulFollowerDialogue)
				_sexistDDUnHelpfulFollowerDialogueQuest.Start()
			else
				_sexistDDUnHelpfulFollowerDialogueQuest.Stop()
			endif

	elseif (option ==  triggerGuardQuestOID_B)

		triggerGuardQuest = !triggerGuardQuest
		SetToggleOptionValue( triggerGuardQuestOID_B, triggerGuardQuest)


				GuardStripQuest.Start()

	elseif (option ==  resetOID_T)

		if (_sexistGuardDialogueQuest.IsRunning())
			_sexistGuardDialogueQuest.Stop()
			utility.wait(1) 
			_sexistGuardDialogueQuest.Start() 
		endif

		if (_sexistBanditDialogueQuest.IsRunning())
				_sexistBanditDialogueQuest.Stop()
				utility.wait(1) 
				_sexistBanditDialogueQuest.Start()
		endif

		if (_sexistBeggerDialogueQuest.IsRunning())
			_sexistBeggerDialogueQuest.Stop()
			utility.wait(1)
			_sexistBeggerDialogueQuest.Start()
		endif

		if (_sexistNPCDialogueQuest.IsRunning())
			_sexistNPCDialogueQuest.Stop()
			utility.wait(1)
			_sexistNPCDialogueQuest.Start()
		endif

		if (_sexistFollowerDialogueQuest.IsRunning())
			_sexistFollowerDialogueQuest.Stop()	
			utility.wait(1)
			_sexistFollowerDialogueQuest.Start()
		endif

		if ( _sexistKnockOverDialogueQuest.IsRunning())
			_sexistKnockOverDialogueQuest.Stop()  
			utility.wait(1)
			 _sexistKnockOverDialogueQuest.Start()
		endif

		if (_sexistBumpDialogueQuest.IsRunning())
			_sexistBumpDialogueQuest.Stop()
			utility.wait(1)
			_sexistBumpDialogueQuest.Start()
		endif

		if (_sexistDDFollowerDialogueQuest.IsRunning())
			_sexistDDFollowerDialogueQuest.Stop()
			utility.wait(1)
			_sexistDDFollowerDialogueQuest.Start()
		endif

		if (_sexistDDHelpfulFollowerDialogueQuest.IsRunning())
			_sexistDDHelpfulFollowerDialogueQuest.Stop()
			utility.wait(1)
			_sexistDDHelpfulFollowerDialogueQuest.Start()
		endif

		if (_sexistDDUnHelpfulFollowerDialogueQuest.IsRunning())
			_sexistDDUnHelpfulFollowerDialogueQuest.Stop()
			utility.wait(1)
			_sexistDDUnHelpfulFollowerDialogueQuest.Start()
		endif

		if (GuardStripQuest.IsRunning())
			GuardStripQuest.Stop()
			utility.wait(1)
			GuardStripQuest.Start()
		endif

		if (_SexistGuardsPlayerComments.IsRunning()) 
			_SexistGuardsPlayerComments.Stop() 
			utility.wait(1)
			_SexistGuardsPlayerComments.Start()
		endif

		if (_SexistGuardsPlayerComments4thWall.IsRunning())
			_SexistGuardsPlayerComments4thWall.Stop()
			utility.wait(1)
			_SexistGuardsPlayerComments4thWall.Start()
		endif

		if (_SexistGuardsPlayerRape.IsRunning())
			_SexistGuardsPlayerRape.Stop()
			utility.wait(1)
			_SexistGuardsPlayerRape.Start()
		endif

		if (UnhelpfulNPCQuest.IsRunning())
			UnhelpfulNPCQuest.Stop()
			utility.wait(1)
			UnhelpfulNPCQuest.Start()
		endif

		if (_NPCWearingDeviceQuest.IsRunning())
			_NPCWearingDeviceQuest.Stop()
			utility.wait(1)
			_NPCWearingDeviceQuest.Start()
		endif

		if (_ClothedNPCWearingDeviceQuest.IsRunning())
			_ClothedNPCWearingDeviceQuest.Stop()
			utility.wait(1)
			_ClothedNPCWearingDeviceQuest.Start()
		endif

	endif

endEvent

event OnOptionHighlight(int option)

	if (option == sexistGuardDialogueOID_B)
	
		        SetInfoText("Enables or disables the guard dialogue and adds the sexist comments to the guard dialogue pool.\nGuards will choose a random greeting from the available pool which means you will still get 'an arrow to the knee' vanilla dialogue.\nDefault: ON")

	elseif (option == armourIsSkimpyOID_B)

			SetInfoText("Enables or disables the skimpy armour dialogue. If disabled then you will not get any comments relating to skimpy armour.\nDefault: ON")

	elseif (option == xMarkerFollowOID_B)

			SetInfoText("Enables or disables the movement of the xMarker that is used to voice the player's comments.\nIf disabled then the xMarker will not move with the player meaning dialogue is likely to disappear if you are moving quickly. If enabled then the xMarker will move with the player so dialogue should not disappear when moving. However, there is an increased risk of dialogue getting stuck on the screen.\nDefault: ON")

	elseif (option == sexistBanditDialogueOID_B)

		        SetInfoText("Enables or disables the bandit dialogue and adds the sexist comments to the bandit dialogue pool.\nBandit dialogue includes taunts and warning dialogue and can vary depending on PLAYER RACE and BANDIT GENDER.\nDefault: ON")

	elseif (option == sexistBeggerDialogueOID_B)

		        SetInfoText("Enables or disables the begger/drunk dialogue and adds the sexist comments to the begger/drunk dialogue pool.\nDefault: ON")

	elseif (option == sexistNPCDialogueOID_B)

		        SetInfoText("Enables or disables the NPC dialogue and adds the sexist comments to the NPC dialogue pool.\nComments differ depending on whether the NPC is Male or Female NPCs.\nDefault: ON")

	elseif (option == sexistNPCWearingDevicesDialogueOID_B)

		        SetInfoText("Enables or disables the NPC dialogue for when they are NAKED and wearing a Devious Device. It is then assumed that they are a slave of some sort.\nIf an NPC (this includes companions etc) is naked and wearing a Devious Device then the usual comments will not apply as they are deemed either submissive or a slave.\nInstead they will choose comments from this pool depending on what they are wearing and they're current location.\nDefault: ON")

	elseif (option == sexistClothedNPCWearingDevicesDialogueOID_B)

		        SetInfoText("Enables or disables the NPC dialogue for when they are CLOTHED and wearing a Devious Device. It is then assumed that they are NOT a slave.\nIf an NPC (this includes companions etc) is clothed and wearing a Devious Device then the usual comments will not apply as it will be assumed the NPC either put on the device themselves or by accident.\nInstead they will choose comments from this pool depending on what they are wearing and who they are.\nDefault: ON")


	elseif (option == sexistUnhelpfulNPCDialogueOID_B)

		        SetInfoText("Enables or disables the Unhelpful NPC dialogue and adds the comments to the NPC dialogue pool.\nDefault: ON")

	elseif (option == sexistFollowerDialogueOID_B)

		        SetInfoText("Enables or disables the Follower dialogue and adds the sexist comments to the Follower dialogue pool.\nComments differ depending on whether the FOLLOWER is Male or Female.\nDefault: ON")

	elseif (option == sexistKnockoverDialogueOID_B)

		        SetInfoText("Enables or disables the Knock Over dialogue and adds the sexist comments to the Knock Over dialogue pool.\nThese comments are made when the PLAYER knocks over an object near an NPC.\nDefault: ON")

	elseif (option == sexistBumpDialogueOID_B)

		        SetInfoText("Enables or disables the Bump dialogue and adds the sexist comments to the Bump dialogue pool.\nThese comments are made when the PLAYER bumps into an NPC.\nDefault: ON")

	elseif (option == sexistPlayerDialogueOID_B)

		        SetInfoText("Enables or disables the Player dialogue which allows your player character to comment about their situation.\ne.g. Its freezing in this dungeon, I should put some clothes on.\nDefault: ON")

	elseif (option == sexistPlayerDialogue4thWallOID_B)

		        SetInfoText("Enables or disables the Player dialogue which allows your player character to use comments that address you directly - breaking the 4th wall.\ne.g. Its freezing in this dungeon, please let me put some clothes on.\nDefault: ON")

	elseif (option ==  sexistPlayerDialogueRapeOID_B)

		        SetInfoText("Enables or disables the Player Rape dialogue which occurs when your character is raped. Comments occur at the start of the sex scene and at various stages based upon who (or what) is raping them.\nDefault: ON")
	
	elseif (option ==  sexistDDFollowerDialogueOID_B)

		        SetInfoText("Enables or disables follower dialogue related to Devious Devices that the player is wearing.\nDefault: ON")

	elseif (option ==  sexistDDHelpfulFollowerDialogueOID_B)

		        SetInfoText("Enables or disables HELPFUL follower dialogue related to Devious Devices that the player is wearing. The follower will either provide a related key or remove the device in the case of armbinders or yokes\nDefault: ON")

	elseif (option ==  sexistDDUnHelpfulFollowerDialogueOID_B)

		        SetInfoText("Enables or disables UNHELPFUL follower dialogue related to Devious Devices that the player is wearing. The follower will take advantage of you in various ways, but generally only in dungeons when they think they can get away with it!\nDefault: ON")

	elseif (option ==  playerGameTimerOID_S)

		        SetInfoText("Sets the overall frequency of Player comments in GAME TIME. This will prevent the player saying anything until at least this time has passed in game. e.g. setting it to 6 will allow the player to make upto 4 comments every day.\nDefault: 6")

	elseif (option ==  playerCommentsMinimunTimeOID_S)

			SetInfoText("Sets the minimun time in REAL SECONDS before the player character will speak again. Setting this to 600 would mean the player chracter will wait AT LEAST 10 minutes of real time before speaking again.\nThis setting DOES NOT effect comments when entering a new area.\nDefault 600")
	
	elseif (option ==  playerCommentsMaximunTimeOID_S)

			SetInfoText("Sets the maximun time in REAL SECONDS before the player character will speak again. Setting this to 1200 would mean the player chracter will wait NO LONGER THAN 20 minutes of real time before speaking again.\nThis setting DOES NOT effect comments when entering a new area.\nDefault 1200")

	elseif (option ==  npcCommentsMaximumTimeOID_S)

			SetInfoText("Sets the maximum time in REAL SECONDS before any NPC characters will speak again. Setting this to 1200 would mean NPC characters will wait NO LONGER THAN 20 minutes of real time before speaking again.\nDefault 1200")

	elseif (option ==  npcCommentsMinimumTimeOID_S)

			SetInfoText("Sets the chance an NPC will say dialogue from this mod. This will help throttle the amount of dialogue seen from NPCs.\nIt's not a perfect solution, but is the only way I could apply a check to all dialogue quickly without using 1,000s of script fragments!\nDefault 5%")

	elseif (option == playerNarratorOID_S)

			SetInfoText("Sets the chance that the Narrator will describe your characters situation, often embelishing what could or is happening! These cover a wide range of themes and present the game more as a story book so it may not be to everyone's taste.\nDefault 50%")

	elseif (option == playerStoryOID_S)

			SetInfoText("Sets the chance that your character will day dream about kinky stuff that could happen to them in the way of a short story.\nDefault 50%")

	elseif (option == playerMasochistOID_S)

			SetInfoText("Sets the chance that your character will find pleasure in their own humiliation and will want bad things to happen to them. Expect them to make comments about what should happen to them and what punishments they should have to endure.\nDefault 50%")

	elseif (option == playerOrgasmicOID_S)

			SetInfoText("Sets the chance that your character will find pleasure during a rape scene and whether they will see the sexy side of a situation. They are likely to make playful or suggestive comments about their current predicament. It also directly relates to the chance or having an orgasm during a rape scene (100% = Always Orgasm). They may still find these feelings unwanted though.\nDefault 50%")

	elseif (option == playerDefiantOID_S)

			SetInfoText("Sets the chance that your character will be defiant.This can effect many things including your character cursing rapists, complaining at you for making them walk naked in the snow, etc!\nDefault 50%")

	elseif (option == playerDominantOID_S)

			SetInfoText("Sets the chance that your character will be dominant in a given situation whilst also making them dislike wearing bondage items. Watch out! If you have 4th wall turned on then they might be dominant with you!\nDefault 50%")

	elseif (option == playerSubmissiveOID_S)

			SetInfoText("Sets the chance that your character will be submissive in a given situation/during rape whilst also making them enjoy wearing bondage items.\nDefault 50%")

	elseif (option == playerToughOID_S)

			SetInfoText("Sets the chance that your character will be tough and brave when out adventuring in Skyrim...maybe even too brave!Has a similar, but much smaller, influence on rape scenes than the Defiant trait. Default 50%")

	elseif (option == playerTimidOID_S)

			SetInfoText("Sets the chance that your character will make timid or cautious comments while out adventuring!\nDefault 50%")

	elseif (option == playerRapistOID_S)

			SetInfoText("Sets the chance that your character will make voice their desire to rape the NPCs of Skyrim!\nDefault 50%")

	elseif (option == playerDraugrLoverOID_S)

			SetInfoText("Your character finds the Draugr sexy and a turn on. Your character will have a higher chance of really enjoying themselves during sex with Draugr.Stacks with the Orgasmic trait to increase chances and also open up extra sexy Draugr comments!\nDefault 50%")

	elseif (option == playerSpiderLoverOID_S)

			SetInfoText("Your character finds the Spiders sexy and a turn on. Your character will have a higher chance of really enjoying themselves during sex with Spiders.Stacks with the Orgasmic trait to increase chances and also open up extra sexy Spider comments!\nDefault 50%")

	elseif (option == playerTrollLoverOID_S)

			SetInfoText("Your character finds the Trolls sexy and a turn on. Your character will have a higher chance of really enjoying themselves during sex with Trolls.Stacks with the Orgasmic trait to increase chances and also open up extra sexy Troll comments!\nDefault 50%")

	elseif (option == playerIsMaleOID_B)

		SetInfoText("When using 4th wall breaking player comments they will sometimes talk to you directly. This sets whether they will refer to you as male or female. Check it if you are Male or uncheck it if you are Female.")

	elseif (option == talkOnTimerOID_B)

		SetInfoText("Your character will make comments based on your timer settings.\nDefault ON")

	elseif (option == talkOnLocChangeOID_B)

		SetInfoText("Your character will make comments whenever your location changes. This can happen quite frequently as you move around Skyrim.\nDefault ON")

	elseif (option == talkOnCellChangeOID_B)

		SetInfoText("Your character will make comments whenever you move between cells e.g. Entering or Exiting buildings.\nDefault ON")

	elseif (option == manualStartKeyOID_K)

		SetInfoText("This allows you to define a key to force your character to say something. Think of it as a way to ask them what they're currently thinking!\nDefault ON")

	endIf

endEvent


Quest Property _sexistGuardDialogueQuest  Auto  

Quest Property _sexistBanditDialogueQuest  Auto  

Quest Property _sexistBeggerDialogueQuest  Auto  

Quest Property _sexistShopKeeperDialogueQuest  Auto  

Quest Property _sexistNPCDialogueQuest  Auto  

Quest Property _sexistFollowerDialogueQuest  Auto  

Quest Property _sexistKnockOverDialogueQuest  Auto  

Quest Property _sexistBumpDialogueQuest  Auto  

Quest Property _sexistDDFollowerDialogueQuest Auto

Quest Property _sexistDDHelpfulFollowerDialogueQuest Auto

Quest Property _sexistDDUnHelpfulFollowerDialogueQuest Auto

Quest Property GuardStripQuest Auto

Quest Property _SexistGuardsPlayerComments  Auto  

Quest Property _SexistGuardsPlayerComments4thWall  Auto  

GlobalVariable Property PCMax  Auto  

GlobalVariable Property PCMin  Auto  

GlobalVariable Property NPCMax  Auto  

GlobalVariable Property NPCMin  Auto  

Quest Property _SexistGuardsPlayerRape  Auto  

Quest Property UnhelpfulNPCQuest  Auto  

Quest Property _NPCWearingDeviceQuest  Auto  

Quest Property _ClothedNPCWearingDeviceQuest  Auto  

GlobalVariable Property _SkimpyArmour  Auto  

GlobalVariable Property _SGPlayerOrgasmic  Auto  

GlobalVariable Property _SGPlayerDefiant  Auto

GlobalVariable Property _SGPlayerDominant  Auto

GlobalVariable Property _SGPlayerSubmissive  Auto

GlobalVariable Property _SGPlayerTough Auto

GlobalVariable Property _SGPlayerTimid Auto

GlobalVariable Property _SGPlayerRapist Auto

GlobalVariable Property _SGPlayerDraugrLover  Auto  

GlobalVariable Property _SGPlayerSpiderLover  Auto  

GlobalVariable Property _SGPlayerTrollLover  Auto  

GlobalVariable Property IsPlayerMale  Auto  

Scene Property _PlayerDialogueScene  Auto  

GlobalVariable Property _SGPlayerMasochist  Auto  

GlobalVariable Property _SGPlayerStory  Auto  

GlobalVariable Property _SGPlayerNarrator  Auto 
